# DSBase

**A delightful Python utility library to bring power and personality to your toolkit.**

[![PyPI version](https://img.shields.io/pypi/v/dsbase.svg)](https://pypi.org/project/dsbase/)
[![Python versions](https://img.shields.io/pypi/pyversions/dsbase.svg)](https://pypi.org/project/dsbase/)
[![PyPI downloads](https://img.shields.io/pypi/dm/dsbase.svg)](https://pypi.org/project/dsbase/)
[![License](https://img.shields.io/pypi/l/dsbase.svg)](https://github.com/dannystewart/dsbase/blob/main/LICENSE)


DSBase contains various tools and utilities refined through years of practical development, including a path helper, database interfaces, file and media processing, and various other helpers that make common tasks a little easier or more joyful. Developed for personal use, but always to high standards of quality and flexibility.

## Installation

```bash
pip install dsbase
```

## Features

Some of the features include:

- Simple helper for comparing files and showing diffs
- Database helper interfaces for MySQL and SQLite
- Helpers for highly customizable copying, deleting, and listing of files
- Media helpers for audio and video transcoding using `ffmpeg`
- Notification helpers for email and Telegram
- Simple progress indicators and helpers for common shell tasks
- Loading animations that are both simple and charming
- Comprehensive collection of text manipulation tools
- Various time parsers and utilities

### Former DSBase Goodies

- Elegant and sophisticated logging *(now moved to [Logician](https://github.com/dannystewart/logician/))*
- Environment variable management *(now moved to [Enviromancer](https://github.com/dannystewart/enviromancer/))*
- Convenient cross-platform access to common paths *(now moved to [PathKeeper](https://github.com/dannystewart/pathkeeper/))*
- Drop-in `argparse` replacement with easier formatting *(now moved to [Arguer](https://github.com/dannystewart/arguer/))*
- Thread-safe `Singleton` metaclass *(now moved to [masterclass](https://github.com/dannystewart/masterclass/))*

## License

This project is licensed under the LGPL-3.0 License. See the [LICENSE](https://github.com/dannystewart/dsbase/blob/main/LICENSE) file for details.

Contributions welcome! Please feel free to submit a pull request!
